B::PerlReq(3pm)

NAME
B::PerlReq - Perl compiler backend to extract Perl dependencies

SYNOPSIS
perl -MO=PerlReq[,-strict][,-relaxed][,-v][,-d] prog.pl

DESCRIPTION
B::PerlReq is a backend module for the Perl compiler that extracts dependencies from Perl source code, based on the internal compiled structure that Perl itself creates after parsing a program. The output of B::PerlReq is suitable for automatic dependency tracking (e.g. for RPM packaging).

OPTIONS

-strict
    Operate in strict mode. See perl.req for details.

-relaxed
    Operate in relaxed mode. See perl.req for details.

-v, --verbose
    Output extra information about the work being done.

-d, --debug
    Enable debugging output (implies --verbose option).

AUTHOR
Written by Alexey Tourbin <at@altlinux.org>.

COPYING
Copyright (c) 2004, 2006 Alexey Tourbin, ALT Linux Team.

This is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SEE ALSO
B, B::Deparse, Module::Info, Module::ScanDeps, perl.req